// Written by TeTeT for Unsung in arma 3
// with help by leopard, thanks for the AnimStateChanged idea and code!

uns_mbox_fnc_inflateRaft = {
	player removeMagazine 'UNS_EAM2Braft'; 
	private _raft = createVehicle ['UNS_floatraft_3', position player, [], 5, 'CAN_COLLIDE']; 
	player assignAsDriver _raft;
	player moveInDriver _raft;
	player removeAction (player getVariable 'uns_liferaft_action');
};

player addEventHandler ["AnimStateChanged", {
	params ["_unit", "_anim"];
	systemChat str _anim;

	if (_anim select [0,4] in ["aswm", "assw"]
		and (_unit getVariable ["uns_liferaft_action", -1]) == -1
		) then { //swimming

		if ("UNS_EAM2Braft" in magazines _unit) then {
			systemChat "Life raft available";
			private _actionId = _unit addAction [
				"Inflate life raft",
				"[_this] call uns_mbox_fnc_inflateRaft;"
			];
			_unit setVariable ["uns_liferaft_action", _actionId];
		} else {
			systemChat "DEBUG: No raft in magazines";
		};
	} else {
		// if (_unit getVariable ["uns_liferaft_action", -1 ] > -1) then {
		// 	_unit removeAction (_unit getVariable "uns_liferaft_action");
		// };
	};
}];

[] spawn {
	// waitUntil {not (player in h)};
	sleep 1;
	player sideChat "I got an uneasy feeling, better grab that raft from inventory";
	waitUntil {"UNS_EAM2Braft" in magazines player};
	sleep 2;
	h vehicleChat "Mayday, mayday, going down";
	h setDamage 0.2;
	sleep 2;
	h setDamage 1;
};